%define name tipa
%define version beta0624
%define release 1

%define builddir $RPM_BUILD_DIR/%{name}-%{version}
%define buildroot /tmp/%{name}-%{version}

Summary: TIPA: a System for Processing Phonetic Symbols in LaTeX.
Name: %{name}
Version: %{version}
Release: %{release}
License: CTAN
URL: ftp://tooyoo.L.u-tokyo.ac.jp/pub/TeX/tipa/
Group: Applications/Publishing/TeX
Packager: C. Scott Ananian <cananian@alumni.princeton.edu>
Source0: %{version}.tar.gz
Source1: tipaman.ps.gz
BuildArchitectures: noarch
BuildRoot: %{buildroot}

%description
TIPA is a system for processing IPA (International Phonetic Alphabet)
symbols in LaTeX.  It is based on TSIPA, but both METAFONT source codes
and LaTeX macros have been thoroughly rewritten so that it can be
considered as a new system.

%prep
%setup -n %{version}

%build
#make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/texmf/texmf/tex/latex/tipa
cp sty/* $RPM_BUILD_ROOT/usr/lib/texmf/texmf/tex/latex/tipa
ln $RPM_BUILD_ROOT/usr/lib/texmf/texmf/tex/latex/tipa/T3enc.def \
   $RPM_BUILD_ROOT/usr/lib/texmf/texmf/tex/latex/tipa/t3enc.def
mkdir -p $RPM_BUILD_ROOT/usr/lib/texmf/texmf/fonts/tfm/tipa
cp tfm/* $RPM_BUILD_ROOT/usr/lib/texmf/texmf/fonts/tfm/tipa
mkdir -p $RPM_BUILD_ROOT/usr/lib/texmf/texmf/fonts/source/tipa
cp mf/*  $RPM_BUILD_ROOT/usr/lib/texmf/texmf/fonts/source/tipa
mkdir -p $RPM_BUILD_ROOT/usr/lib/texmf/texmf/doc/latex/tipa
cp doc/* $RPM_BUILD_ROOT/usr/lib/texmf/texmf/doc/latex/tipa

chown -R root $RPM_BUILD_ROOT/usr/lib/texmf/texmf
chgrp -R root $RPM_BUILD_ROOT/usr/lib/texmf/texmf

%post
texhash

%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files
%doc $RPM_SOURCE_DIR/tipaman.ps.gz
%dir /usr/lib/texmf/texmf/tex/latex/tipa
%dir /usr/lib/texmf/texmf/fonts/tfm/tipa
%dir /usr/lib/texmf/texmf/fonts/source/tipa
%dir /usr/lib/texmf/texmf/doc/latex/tipa
/usr/lib/texmf/texmf/tex/latex/tipa/*
/usr/lib/texmf/texmf/fonts/tfm/tipa/*
/usr/lib/texmf/texmf/fonts/source/tipa/*
/usr/lib/texmf/texmf/doc/latex/tipa/*